org.apache.lucene.analysis.nl

## Class DutchStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.nl.DutchStemFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

Deprecated.
(3.1) Use `SnowballFilter` with `DutchStemmer` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public final class DutchStemFilter
    extends TokenFilter

A `TokenFilter` that stems Dutch words.

It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a `DutchStemmer`).

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `KeywordMarkerFilter`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`DutchStemFilter(TokenStream _in)` Deprecated.
`DutchStemFilter(TokenStream _in, Map<?,?> stemdictionary)` Deprecated.

### Method Summary

Methods
`boolean` `incrementToken()` Deprecated. Returns the next token in the stream, or null at EOS
`void` `setStemDictionary(HashMap<?,?> dict)` Deprecated. Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.
`void` `setStemmer(DutchStemmer stemmer)` Deprecated. Set a alternative/custom `DutchStemmer` for this filter.

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DutchStemFilter

    public DutchStemFilter(TokenStream _in)

Deprecated.

#### DutchStemFilter

    public DutchStemFilter(TokenStream _in,
                   Map<?,?> stemdictionary)

Deprecated.

Parameters:
  `stemdictionary` - Dictionary of word stem pairs, that overrule the algorithm

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Deprecated.
Returns the next token in the stream, or null at EOS

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### setStemmer

    public void setStemmer(DutchStemmer stemmer)

Deprecated.
Set a alternative/custom `DutchStemmer` for this filter.

#### setStemDictionary

    public void setStemDictionary(HashMap<?,?> dict)

Deprecated.
Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.